%define basename expat

Summary:	Expat is an XML 1.0 parser written in C.
Name: 		expat2_1
Version: 	2.1.0
Release: 	1%{?dist}
License: 	MIT/X
Group: 		Utilities/parsers
URL: 		http://www.libexpat.org/
Source0: 	%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-buildroot

%description
Expat is an XML 1.0 parser written in C by James Clark.  It aims to be
fully conforming. It is not a validating XML parser.

%package devel
Summary:	Development headers for expat
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	%{name}-devel

%description devel
Development headers for expat.

%prep
%setup -n expat2_1-%{version}

%build
%configure
make %{?_smp_mflags}

%install
make installlib DESTDIR=$RPM_BUILD_ROOT libdir=%{_libdir}/%{name} includedir=%{_includedir}/%{name}
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install xmlwf/xmlwf $RPM_BUILD_ROOT/%{_bindir}/xmlwf2_1
#install -m 644 doc/xmlwf.1 $RPM_BUILD_ROOT/%{_mandir}/man1/xmlwf.1

%files
%doc COPYING Changes MANIFEST README doc/reference.html doc/style.css doc/*.png
%{_bindir}/xmlwf2_1
%{_libdir}/%{name}/libexpat.a
%{_libdir}/%{name}/libexpat.la
%{_libdir}/%{name}/libexpat.so
%{_libdir}/%{name}/libexpat.so.1
%{_libdir}/%{name}/libexpat.so.1.6.0
%{_libdir}/%{name}/pkgconfig/expat.pc
#%{_mandir}/man1/xmlwf.1

%files devel
%{_includedir}/%{name}/expat.h
%{_includedir}/%{name}/expat_external.h


%changelog
* Fri Jan 09 2015 Sakib Jalal <sfj19@nbcs.rutgers.edu> - 2.1.0-1.ru6
- Centos6 expat Rutgers release, version 2.1.0.
